#  This is the EC Event Archive NoSQL Configuration properties file
# 
# 
# This file should contain properties:
#
# Firstly, a single entry:
# 	destination.names =  <comma separated list of the names of the configurations supported, this MUST correlate with a nosql channel qualifier in ec_event_rules>
# 
# Then for each one there should be:
# 	destination.<name>.type = CASSANDRA (the type, currently only cassandra is supported)
#
# For each type we then support specific properties.  These are outlined below:

# CASSANDRA
#
# 	destination.<name>.contactpoints = comma separated list of the ip addresses to use as contact points
# 	destination.<name>.keyspace = The keyspace to use
# 	destination.<name>.table = The table to use
# 	destination.<name>.consistency = the consistency level to write at.  This should match the ConsistencyLevel class (ONE, QUORUM, ALL etc)
#
# NOTE: All properties must be populated for a given <name> for it to function correctly.  Check BPM.log for this
#
# Here is an example which correlates with the example channel specified in the ec-event-rules.xml
# destination.names=CASSANDRA
# destination.CASSANDRA.type=CASSANDRA
# destination.CASSANDRA.contactpoints=localhost
# destination.CASSANDRA.keyspace=bpm
# destination.CASSANDRA.table=ec_event
# destination.CASSANDRA.consistency=QUORUM
#
monitor.enable=true
